# Struct link_validator

- Defined in File validate.hpp

## Struct Documentation

struct link_validator

  A validator for links between categories.

  Links are defined as a set of pairs of item names in a parent category and a corresponding item in a child category. This means that the size of m_parent_keys is always equal to the size of m_child_keys.

  Multiple links may be defined between two categories.

  Public Members

  int m_link_group_id

    The link group ID.

  std::string m_parent_category

    The name of the parent category.

  std::vector<std::string> m_parent_keys

    The items in the parent category making up the set of linked items.

  std::string m_child_category

    The name of the child category.

  std::vector<std::string> m_child_keys

    The items in the child category making up the set of linked items.

  std::string m_link_group_label

    The group label assigned to this link.